petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSAdaptCheckStage

checks whether to accept a stage, (e.g. reject and change time step size if nonlinear solve fails)

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptCheckStage(TSAdapt adapt,TS ts,PetscReal t,Vec Y,PetscBool *accept)

Collective on TSAdapt

### Input Arguments

| adapt | - adaptive controller context
| ts | - time stepper
| t | - Current simulation time
| Y | - Current solution vector

### Output Arguments

accept -PETSC_TRUE to accept the stage, PETSC_FALSE to reject

### See Also

### Level

developer

### Location

src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages